Subject: Re: bug#11094: Wrong cursor positioning with display+invisible

From: Eli Zaretskii <[email-masked]>
Date: Tue, 03 Apr 2012 00:06:51 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked]
> Date: Mon, 02 Apr 2012 16:15:17 -0400
> 
>   emacs -Q
>   (put-text-property (point-min) (+ 2 (point-min)) 'invisible t)
>   (put-text-property (+ 2 (point-min)) (+ 4 (point-min)) 'display "<>")
>   (goto-char (point-min))
> 
> where I'd expect the cursor to be drawn to the left of "<>" rather than
> to the right.

Isn't this an issue with point adjustments?  If I set
global-disable-point-adjustment non-nil, I get the cursor where you
want it.